diff options
author | EuAndreh <eu@euandre.org> | 2020-02-14 23:06:27 -0300 |
---|---|---|
committer | EuAndreh <eu@euandre.org> | 2020-02-14 23:06:27 -0300 |
commit | 43a9e4eb977477275086b65bc5337f520499e08e (patch) | |
tree | f55e6c8224dfc7ac0cce6e2b1d9fc85ef44c3bf7 | |
parent | Remove old error tidy message (diff) | |
download | euandre.org-43a9e4eb977477275086b65bc5337f520499e08e.tar.gz euandre.org-43a9e4eb977477275086b65bc5337f520499e08e.tar.xz |
Improve error message of tidy-content.sh
Diffstat (limited to '')
-rw-r--r-- | default.nix | 6 | ||||
-rwxr-xr-x | scripts/tidy-content.sh | 8 |
2 files changed, 7 insertions, 7 deletions
diff --git a/default.nix b/default.nix index 537c2ae..2f10691 100644 --- a/default.nix +++ b/default.nix @@ -37,7 +37,11 @@ in rec { buildPhase = '' patchShebangs . jekyll build -d $out - ./scripts/tidy-content.sh $out + ./scripts/tidy-content.sh $out || { + echo 'Error in formatting HTML. Reproduce with: ' + echo ' jekyll build && ./scripts/tidy-content.sh _site/' + exit 1 + } ''; }); }; diff --git a/scripts/tidy-content.sh b/scripts/tidy-content.sh index 2ccb925..6dc13c6 100755 --- a/scripts/tidy-content.sh +++ b/scripts/tidy-content.sh @@ -26,12 +26,8 @@ INPUT_DIR="${1:-}" } format() { - FILE="${1}" - echo "${FILE}" >&2 - if ! tidy --quiet yes -utf8 -indent -modify "${FILE}"; then - echo "Error in formatting '${FILE}'." >&2 - exit 1 - fi + echo "${1}" >&2 + tidy --quiet yes -utf8 -indent -modify "${1}" } export -f format |